<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 7</H1>

<P>
Numero du papier: 7

<P>Nom du papier et auteurs: Extension du BSlambda-calcul.
<P>        F. Loulergue

<H2>1</H2>

<P>

Nom du rapporteur: A.Asperti
<P>
Confiance en la note: 2
<P>  1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.

<P>Notation du papier: 4
<P>  1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier

<P>Commentaires aux auteurs:

<P>Commentaires reserves au comite de programme:

The aim of BSP (Bulk Syncronous Parallelism) is 
to have a programming paradigm with explicit parallelism
where the cost of execution is largely predictable
independently from the specific machine architecture.
To this aim the calculus is composed as a sequence
of super-steps, each one composed in turn of three
phases:
1. local computations, and communication requests;
2. information exchange in the net;
3. synchronization. 
The author already introduced an extension of the
lambda calculus with parallel operators suitable for
a high level description of BSP algorithms (BS-lambda).
In this paper, he furtherly extend the calculus with
three new operations for multiple communications 
(multi-get, put, and the "conditionelle globale asynchrone"). 
The paper is well written and pleasent to read. 
Proofs (especially confluence) are only sketched, but 
look plausible. 
I liked the paper, and I recommend acceptance, BUT
I am not at all an expert in the field. 

<H2>2</H2>

<P>
Nom du rapporteur: Jean Goubault-Larrecq

<P>Confiance en la note: (de 1 à 3) 3
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: (de 1 à 5) 3
<P> (1: à rejeter; 2: inintéressant; 3: acceptable;
<P>  4: bon papier; 5: très bon papier)

<P>Commentaires aux auteurs:
<P>    L'approche me semble intéressante, bien qu'exotique,
et le papier est bien écrit.  Je n'ai cependant pas mis
une note supérieure à 3, à cause de quelques déficiences
d'ordre technique.
<P>    La première et la plus grave est la preuve de confluence,
qui me semble erronée.  Le lemme 1 n'est valable que
si $N \overline \triangleright N'$, à cause du fait que les
règles (analogues à) $(?\pi)$, $(\#\pi)$,
$({\buildrel e\over \to} T)$ et  $({\buildrel e\over \to} F)$
ne passent pas à n'importe quel contexte.  Malheureusement,
c'est bien le lemme 1 tel qu'il est écrit qui est nécessaire
pour que le reste de la preuve fonctionne.
<P>    En p.3, section 2.1, fin du premier paragraphe, la notion de
$h$-relation est utilisée mais n'est pas encore définie.
En p.5, ligne 1, ``la valeur de $e_1$ est $\beta$-équivalente
à l'encodage de Church de $T$ ou $F$'': cela semble idiot,
car cela imposerait que $(x \to e_2, e_3)$, o\`u $x$ est une
variable, ne soit pas une expression valide, et en fait que les
seules conditionnelles valides soient des rédex.
En p.9, règle $(||?)$, que signifie l'expression $(\Rightarrow
(e i) (e (e_2 i)))$ ?  Il serait bon de définir $\Rightarrow$;
je suppose qu'il s'agit du $\lambda$-terme définissant
l'implication sur les booléens du $\lambda$-calcul.
L'explication du bas de la p.9 devrait, au passage, \^etre
retravaillée; elle trouble plus qu'elle n'explique, dans l'état.
La remarque de la dernière ligne avant la conclusion
(``l'imbrication de $\pi$ est emp\^echée statiquement
(par typage par exemple)'') est non justifiée : quel système
de typage ?  \`A l'heure actuelle, l'imbrication de $\pi$, quoi que cette
appellation désigne, n'est pas du tout emp\^echée.
<P>    En p.25, sous cas 1.1, 2ème ligne: c'est $P \triangleright P''$,
et non pas $Q \triangleright Q''$.
<P>    Il y a aussi une dizaine de fautes de frappe, d'accents
et d'orthographe (non détectables par ispell, cf.  ``la
beta-équivalent globale'', p.6, ou ``prend l'initiative
d'évalue $e v$'', p.7), que l'auteur n'aura aucun mal
à retrouver lui-m\^eme.

<P>Commentaires réservés au comité de programme:

</BODY>
</HTML>
